Subject: Re: [PATCH 5/5] spi: make remove callback a void function

From: Miquel Raynal <[email-masked]>
Date: Tue, 25 Jan 2022 11:19:28 +0100

Hi Uwe,

[email-masked] wrote on Sun, 23 Jan 2022 18:52:01 +0100:

> The value returned by an spi driver's remove function is mostly ignored.
> (Only an error message is printed if the value is non-zero that the
> error is ignored.)
> 
> So change the prototype of the remove function to return no value. This
> way driver authors are not tempted to assume that passing an error to
> the upper layer is a good idea. All drivers are adapted accordingly.
> There is no intended change of behaviour, all callbacks were prepared to
> return 0 before.
> 
> Signed-off-by: Uwe Kleine-König <[email-masked]>
> ---

[...]

>  drivers/mtd/devices/mchp23k256.c                      |  4 +---
>  drivers/mtd/devices/mchp48l640.c                      |  4 +---
>  drivers/mtd/devices/mtd_dataflash.c                   |  4 +---
>  drivers/mtd/devices/sst25l.c                          |  4 +---

For MTD devices:
Acked-by: Miquel Raynal <[email-masked]>

Thanks,
Miquèl